Fetch organization information
- GET /organizations/{organization_id}
Fetch a single organization by id. Currently unavailable in self-hosted ECE.
Path Parameters
-
organization_idstringrequired -
Identifier for the Organization
Responses
Organization fetched successfully
-
idstringrequired -
The organization's identifier
-
namestringrequired -
The organization's friendly name
-
enforce_authentication_methodstring -
Enforces a particular authentication method for organization members
-
default_disk_usage_alerts_enabledboolean -
Whether the default disk alerts are enabled
-
notifications_allowed_email_domainsstring -
The list of allowed domains for notification-email recipients
-
billing_contactsstring -
The list of contacts for billing notifications, if specified
-
operational_contactsstring -
The list of contacts for operational notifications, if specified
-
sso_login_identifierstring -
The login identifier for initiating SSO
User not found. (code: user.not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
The current user does not have access to the requested organization. (code: organization.invalid_access)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
Organization not found. (code: organization.not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response